php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #12984 APXS error message during configure is wrong
Submitted: 2001-08-27 18:37 UTC Modified: 2001-08-28 02:21 UTC
From: sgibson at digitalimpact dot com Assigned:
Status: Closed Package: Apache related
PHP Version: 4.0.6 OS: Linux 2.4.2-2smp (RedHat 7.1)
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: sgibson at digitalimpact dot com
New email:
PHP Version: OS:

 

 [2001-08-27 18:37 UTC] sgibson at digitalimpact dot com
When configuring with APXS support, and the Apache APXS script has an error in it, the configure program outputs the web link to fix the APXS script.  This location has changed since the reorg of the PHP web site.  Here's a context diff patch to fix config.status file.  Please forgive me if I got this wrong; I'm not a developer/coder, and have never messed around with diff/patch much.

-------------- begin of context patch info ----------------


*** config.status       Mon Aug 27 15:30:24 2001
--- config.status.patch Mon Aug 27 15:34:30 2001
***************
*** 1254,1261 ****
      echo "+--------------------------------------------------------------------+"
      echo "| WARNING: Your /ids/web/bin/apxs script is most likely broken."
      echo "|                                                                    |"
!     echo "| Please go read http://www.php.net/FAQ.php#6.11 and make the        |"
!     echo "| changes described there and try again.                             |"
    fi
  
    # Warn about CGI version with no extra security options.
--- 1254,1261 ----
      echo "+--------------------------------------------------------------------+"
      echo "| WARNING: Your /ids/web/bin/apxs script is most likely broken."
      echo "|                                                                    |"
!     echo "| Please go read http://www.php.net/manual/en/faq.build.php#AEN62933 |"
!     echo "| and make the changes described there and try again.                |"
    fi
  
    # Warn about CGI version with no extra security options.



-------------- end of context patch info --------------

v/r
Shane

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-08-28 02:21 UTC] sniper@php.net
This has already been fixed in CVS.

--Jani

 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Sat Sep 24 23:05:52 2022 UTC